## ctpp2-2.7.1.tar.gz

=== CMakeLists.txt ===
#
# CTPP - C++ Template Engine
#
# Cmake configuration file
#
PROJECT(CTPP)

SET(CTPP_VERSION_MAJOR 2)
SET(CTPP_VERSION_MINOR 7)
SET(CTPP_VERSION_PATCH 1)

SET(CTPP_VERSION         "${CTPP_VERSION_MAJOR}.${CTPP_VERSION_MINOR}.${CTPP_VERSION_PATCH}")
SET(CTPP_IDENT           "Dzoraget")
SET(CTPP_MASTER_SITE_URL "http://ctpp.havoc.ru/")

CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

OPTION(DEBUG_MODE          "Enable debug output [default: OFF]"                 OFF)
OPTION(ENABLE_OPTIMIZATION "Enable optimization [default: ON]"                  ON)
OPTION(SKIP_RELINK_RPATH   "Skip relinking and full RPATH for the install tree" OFF)

OPTION(ICONV_DISCARD_ILSEQ "Discard illegal sequence and continue (iconv) [default: ON]"    ON)
OPTION(ICONV_TRANSLITERATE "Enable transliteration in the conversion (iconv) [default: ON]" ON)

# Build optimized code for following CPU (default i386)
#SET(CPU_TUNE               "i686")

# Floating point precision for formatting output variables
SET(CTPP_FLOAT_PRECISION   12)

# Escape and tempoprary buffer size
SET(CTPP_ESCAPE_BUFFER_LEN 1024)

# Max. template recursion depth
SET(CTPP_MAX_TEMPLATE_RECURSION_DEPTH 1024)

# ################################################################################
# Standard library
#
OPTION(MD5_SUPPORT         "Enable md5 support [default: ON]"                   ON)
OPTION(ICONV_SUPPORT       "Enable iconv support [default: ON]"                 ON)

# ################################################################################
# Check Includes
#
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckCXXSourceCompiles)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckSymbolExists)
INCLUDE(CheckLibraryExists)

CHECK_LIBRARY_EXISTS(m round    "" HAVE_ROUND_FN)
CHECK_LIBRARY_EXISTS(m roundl   "" HAVE_ROUNDL_FN)

CHECK_INCLUDE_FILES(sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES(sys/time.h  HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES(sys/uio.h   HAVE_SYS_UIO_H)

CHECK_INCLUDE_FILES(fcntl.h     HAVE_FCNTL_H)
CHECK_INCLUDE_FILES(math.h      HAVE_MATH_H)
CHECK_INCLUDE_FILES(stdio.h     HAVE_STDIO_H)
CHECK_INCLUDE_FILES(stdlib.h    HAVE_STDLIB_H)
CHECK_INCLUDE_FILES(string.h    HAVE_STRING_H)
CHECK_INCLUDE_FILES(strings.h   HAVE_STRINGS_H)
CHECK_INCLUDE_FILES(time.h      HAVE_TIME_H)
CHECK_INCLUDE_FILES(unistd.h    HAVE_UNISTD_H)
CHECK_INCLUDE_FILES(sysexits.h  HAVE_SYSEXITS_H)

CHECK_CXX_SOURCE_COMPILES("#include <map>
                           namespace std { }
                           using namespace std;
                           int main(void)
                           {
                               map<int, int> m;
                               m.insert(pair<int, int>(1, 2));
                               m[2] = 3;
                               return 0;
                           }
                          " STL_MAP_CHECK)
IF(NOT STL_MAP_CHECK)
    MESSAGE(ERROR "!!!! STL map does not work!")
ENDIF(NOT STL_MAP_CHECK)

CHECK_CXX_SOURCE_COMPILES("#include <vector>
                           namespace std { }
                           using namespace std;
                           int main(void)
                           {
                               vector<int> v;
                               v.push_back(1);
                               return 0;
                           }
                          " STL_VECTOR_CHECK)
IF(NOT STL_VECTOR_CHECK)
    MESSAGE(ERROR "!!!! STL vector does not work!")
ENDIF(NOT STL_VECTOR_CHECK)

CHECK_CXX_SOURCE_COMPILES("#include <string>
                           using namespace std;
                           int main(void)
                           {
                               string s;
                               s.assign(\"Hello, World!\");
                               return 0;
                           }
                          " STL_STRING_CHECK)

IF(NOT STL_STRING_CHECK)
    MESSAGE(ERROR "!!!! STL string does not work!")
ENDIF(NOT STL_STRING_CHECK)

CHECK_CXX_SOURCE_COMPILES("#include <stdexcept>
                           namespace std { }
                           using namespace std;
                           int main(void)
                           {
                               try
                               {
                                   throw logic_error(\"Ouch!\");
                               }
                               catch(exception &e)
                               {
                                   return 0;
                               }
                               return 0;
                           }
                          " STL_STDEXCEPT_CHECK)

IF(NOT STL_STDEXCEPT_CHECK)
    MESSAGE(ERROR "!!!! STL logic_error/exception does not work!")
ENDIF(NOT STL_STDEXCEPT_CHECK)

CHECK_CXX_SOURCE_COMPILES("#include <vector>
                           int main(void)
                           {
                               vector<int> v;
                               v.push_back(1);
                               return 0;
                           }
                          " STL_VECTOR_NO_STD_CHECK)

IF (STL_VECTOR_NO_STD_CHECK)
    MESSAGE(STATUS "#### INFO: Using STL classes without STD namespace")
    SET(NO_STL_STD_PREFIX "ON")
ELSE (STL_VECTOR_NO_STD_CHECK)
    MESSAGE(STATUS "#### INFO: Using STL classes with STD namespace")
ENDIF (STL_VECTOR_NO_STD_CHECK)

MESSAGE(STATUS "#### System name is: ${CMAKE_SYSTEM_NAME}")

IF("${CMAKE_SYSTEM_NAME}" MATCHES "FreeBSD")
    MESSAGE(STATUS "#### Building for FreeBSD...")
ENDIF("${CMAKE_SYSTEM_NAME}" MATCHES "FreeBSD")

IF("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")

    SET(SKIP_ICONV_LIRARY   "ON")

    MESSAGE(STATUS "#### Building for Linux...")

    IF("${SKIP_RELINK_RPATH}" MATCHES "ON")
        SET(CMAKE_SKIP_RPATH  TRUE)

        MESSAGE(STATUS "#### Building for Linux...")
        # skip the full RPATH for the build tree
        SET(CMAKE_SKIP_BUILD_RPATH  TRUE)

        # when building, use the install RPATH already
        # (so it doesn't need to relink when installing)
        SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)

        # the RPATH to be used when installing
        SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

        # add the automatically determined parts of the RPATH
        # which point to directories outside the build tree to the install RPATH
        SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
    ENDIF("${SKIP_RELINK_RPATH}" MATCHES "ON")

ENDIF("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")

IF("${CMAKE_SYSTEM_NAME}" MATCHES "Darwin")
    SET(CMAKE_SKIP_RPATH FALSE)
    SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
    SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,-headerpad_max_install_names")
ENDIF("${CMAKE_SYSTEM_NAME}" MATCHES "Darwin")

IF("${CMAKE_SYSTEM_NAME}" MATCHES "SunOS")
    SET(SKIP_ICONV_LIRARY   "ON")
    MESSAGE(STATUS "#### Building for SunOS...")
ENDIF("${CMAKE_SYSTEM_NAME}" MATCHES "SunOS")

IF("${CMAKE_SYSTEM_NAME}" MATCHES "HP-UX")
    MESSAGE(STATUS "#### Building for HP-UX...")
ENDIF("${CMAKE_SYSTEM_NAME}" MATCHES "HP-UX")

SET(MD5_WITHOUT_OPENSSL "")
#
# MD5 library support
#
IF (${MD5_SUPPORT} MATCHES "ON")
    IF (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
        MESSAGE(STATUS "#### INFO: MD5 (Win32 CryptoAPI) hash function support enabled")
    ELSE (${CMAKE_SYSTEM_NAME} MATCHES "Windows")

        FIND_PATH(MD5_INCLUDE openssl/md5.h PATHS /opt/include
                                                  /usr/include
                                                  /usr/local/include
                  DOC "Path where the openssl header files can be found")

        IF (MD5_INCLUDE)
            INCLUDE_DIRECTORIES(${MD5_INCLUDE})

            FIND_LIBRARY(MD5_LIBRARY NAMES crypto PATHS /lib
                                                        /opt/lib
                                                        /usr/lib
                                                        /usr/local/lib
                         DOC "Path where the openssl libraries can be found")
            IF (MD5_LIBRARY)
                SET(PROJECT_LIBS "${PROJECT_LIBS} crypto")
            ELSE (MD5_LIBRARY)
                MESSAGE(STATUS "#### ERROR: Cannot find libcrypto.so, aborting")
            ENDIF (MD5_LIBRARY)

            SET(MD5_SUPPORT "ON")

            MESSAGE(STATUS "#### INFO: MD5 (openssl) hash function support enabled")

        ELSE (MD5_INCLUDE)
            # reset FIND_PATH
            SET(MD5_INCLUDE)
            FIND_PATH(MD5_INCLUDE md5.h PATHS /opt/include
                                              /usr/include
                                              /usr/local/include
                  DOC "Path where the openssl header files can be found")
            IF (MD5_INCLUDE)
                INCLUDE_DIRECTORIES(${MD5_INCLUDE})

                FIND_LIBRARY(MD5_LIBRARY NAMES md5 PATHS /lib
                                                         /opt/lib
                                                         /usr/lib
                                                         /usr/local/lib
                             DOC "Path where the md5 libraries can be found")
                IF (MD5_LIBRARY)
                    SET(PROJECT_LIBS "${PROJECT_LIBS} md5")
                    SET(MD5_SUPPORT         "ON")
                    SET(MD5_WITHOUT_OPENSSL "ON")
                    MESSAGE(STATUS "#### INFO: MD5 (libmd5) hash function support enabled")
                ELSE (MD5_LIBRARY)
                    MESSAGE(STATUS "#### ERROR: Cannot find md5.so, aborting")
                ENDIF (MD5_LIBRARY)
            ELSE (MD5_INCLUDE)
                SET(MD5_SUPPORT "")
                MESSAGE(STATUS "#### WARNING: MD5 hash function support disabled: md5.h not found")
            ENDIF (MD5_INCLUDE)

        ENDIF (MD5_INCLUDE)

    ENDIF (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
ENDIF (${MD5_SUPPORT} MATCHES "ON")

#
# Iconv converter support
#
IF (${ICONV_SUPPORT} MATCHES "ON")
    FIND_PATH(ICONV_INCLUDE iconv.h PATHS /opt/include
                                          /usr/include
                                          /usr/local/include
              DOC "Path where the iconv header files can be found")

    IF (ICONV_INCLUDE)
        INCLUDE_DIRECTORIES(${ICONV_INCLUDE})

        IF (NOT "${SKIP_ICONV_LIRARY}" MATCHES "ON")
            FIND_LIBRARY(ICONV_LIBRARY NAMES iconv PATHS /lib
                                                         /opt/lib
                                                         /usr/lib
                                                         /usr/local/lib
                         DOC "Path where the openssl libraries can be found")
            IF (ICONV_LIBRARY)
                SET(PROJECT_LIBS "${PROJECT_LIBS} iconv")
            ELSE (ICONV_LIBRARY)
                MESSAGE(STATUS "#### ERROR: Cannot find libiconv.so, aborting")
            ENDIF (ICONV_LIBRARY)
        ENDIF (NOT "${SKIP_ICONV_LIRARY}" MATCHES "ON")

        SET(ICONV_SUPPORT "ON")
        MESSAGE(STATUS "#### INFO: ICONV converter support enabled")

    ELSE (ICONV_INCLUDE)

        SET(ICONV_SUPPORT "")
        MESSAGE(STATUS "#### WARNING: ICONV converter support disabled: iconv.h not found")

    ENDIF (ICONV_INCLUDE)
ENDIF (${ICONV_SUPPORT} MATCHES "ON")

INCLUDE_DIRECTORIES(include)
INCLUDE_DIRECTORIES(include/functions)

IF("${CMAKE_COMPILER_IS_GNUCXX}" MATCHES "1")

    SET(CMAKE_CXX_PARAMS      " --param large-function-growth=5000 --param inline-unit-growth=600 -finline-limit=2000 ")

    SET(CMAKE_CXX_WARN_FLAGS  " -Wall -pedantic -Wno-long-long -Wno-inline -finline-functions ")

    IF(ENABLE_OPTIMIZATION MATCHES "ON")
        SET(CMAKE_CXX_FLAGS "${CXX_FLAGS} ${CMAKE_CXX_WARN_FLAGS} ${CMAKE_CXX_PARAMS} -O3 ")

        IF (NOT "${CPU_TUNE}" STREQUAL "")
            SET(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -mtune=${CPU_TUNE} ")
        ENDIF (NOT "${CPU_TUNE}" STREQUAL "")

    ELSE(ENABLE_OPTIMIZATION MATCHES "OFF")

=== FreeBSD/textproc/ctpp2/Makefile ===
# New ports collection makefile for:   ctpp2
# Date created:         25 Jan 2008
# Whom:                 reki@reki.ru (Andrei V. Shetuhin)
#
# $FreeBSD: ports/textproc/ctpp2/Makefile,v 1.27 2010/08/04 07:44:02 lwhsu Exp $
#

PORTNAME=	ctpp2
PORTVERSION=	2.7.1
CATEGORIES=	textproc devel
MASTER_SITES=	http://ctpp.havoc.ru/download/

MAINTAINER=	reki@reki.ru
COMMENT=	C++ library to use templates in C/C++ projects, version 2

USE_CMAKE=	yes
USE_LDCONFIG=	yes
USE_GETTEXT=	yes
USE_ICONV=	yes

PLIST_SUB+=	PORTVERSION=${PORTVERSION}

MAN1=	ctpp2c.1 ctpp2vm.1 ctpp2i.1 ctpp2json.1 ctpp2-config.1

.include <bsd.port.mk>

=== debian/changelog ===
ctpp2 (2.7.1) unstable; urgency=low

  *  Production-ready version of CTPP2 2.7.X

 -- Andrei V. Shetuhin <reki@reki.ru>  Fri,  8 Jul 2011 20:00:00 +0400

ctpp2 (2.7.0) unstable; urgency=low

  * New version of CTPP: 2.7.0

 -- Andrei V. Shetuhin <reki@reki.ru>  Thu, 16 Jun 2011 17:48:00 +0400

ctpp2 (2.6.15) unstable; urgency=low

  * Bug fixes

 -- Andrei V. Shetuhin <reki@reki.ru>  Mon, 16 May 2011 16:30:00 +0400

ctpp2 (2.6.14) unstable; urgency=low

  * Bug fixes

 -- Andrei V. Shetuhin <reki@reki.ru>  Thu, 28 Apr 2011 17:55:00 +0400

ctpp2 (2.6.13) unstable; urgency=low

  * Bug fixes

 -- Andrei V. Shetuhin <reki@reki.ru>  Fri,  1 Apr 2011 19:24:00 +0400

ctpp2 (2.6.12) unstable; urgency=low

  * Bug fixes

 -- Andrei V. Shetuhin <reki@reki.ru>  Tue, 15 Mar 2011 14:15:00 +0400

ctpp2 (2.6.11) unstable; urgency=low

  * Bug fixes

 -- Andrei V. Shetuhin <reki@reki.ru>  Mon, 28 Feb 2011 20:00:00 +0400

ctpp2 (2.6.10) unstable; urgency=low

  * Bug fixes, new functions: GET_TYPE and HOSTNAME

 -- Andrei V. Shetuhin <reki@reki.ru>  Fri, 11 Feb 2011 19:49:00 +0400

ctpp2 (2.6.7) unstable; urgency=low

  * Bug fixes

 -- Andrei V. Shetuhin <reki@reki.ru>  Mon,  1 Nov 2010 17:28:00 +0400

ctpp2 (2.6.6) unstable; urgency=low

  * Bug fixes

 -- Andrei V. Shetuhin <reki@reki.ru>  Tue,  5 Oct 2010 16:10:00 +0400

ctpp2 (2.6.5) unstable; urgency=low

  * Fixes in CTPP2 dialect compiler

 -- Andrei V. Shetuhin <reki@reki.ru>  Wed, 22 Sep 2010 16:10:00 +0400

ctpp2 (2.6.4) unstable; urgency=low

  * Improvements in SortArray method

 -- Andrei V. Shetuhin <reki@reki.ru>  Mon, 20 Sep 2010 17:41:00 +0400

ctpp2 (2.6.3) unstable; urgency=low

  * Fixes in TMPL_foreach iterators (thanks to Kirichenko Sergey <kirichenko@post.km.ru>)

 -- Andrei V. Shetuhin <reki@reki.ru>  Tue, 27 Jul 2010 18:55:00 +0400

ctpp2 (2.6.2) unstable; urgency=low

  * New methods for CDT class: Swap & SortArray

 -- Andrei V. Shetuhin <reki@reki.ru>  Mon, 20 Jul 2010 19:41:00 +0400

ctpp2 (2.6.1) unstable; urgency=low

  * New minor version. See CHANGES.

 -- Andrei V. Shetuhin <reki@reki.ru>  Mon, 15 Jun 2010 18:54:00 +0400

ctpp2 (2.5.19) unstable; urgency=low

  * Bug fixes

 -- Andrei V. Shetuhin <reki@reki.ru>  Mon, 24 May 2010 16:54:00 +0400

ctpp2 (2.5.17) unstable; urgency=low

  * New function: SPRINTF

 -- Andrei V. Shetuhin <reki@reki.ru>  Fri,  2 Apr 2010 21:55:00 +0400

ctpp2 (2.5.15) unstable; urgency=low

  * Fixes in function NUM_FORMAT

 -- Andrei V. Shetuhin <reki@reki.ru>  Wed, 30 Dec 2009 15:06:00 +0400

ctpp2 (2.5.14) unstable; urgency=low

  * New method for class CDT: Erase. Erase element from hash by specified key name

 -- Andrei V. Shetuhin <reki@reki.ru>  Fri,  4 Dec 2009 15:27:00 +0400

ctpp2 (2.5.13) unstable; urgency=low

  * Fixes in Base64Encode function

 -- Andrei V. Shetuhin <reki@reki.ru>  Tue, 24 Nov 2009 15:05:00 +0400

ctpp2 (2.5.12) unstable; urgency=low

  * New output data collector, port to CygWin

 -- Andrei V. Shetuhin <reki@reki.ru>  Sun, 18 Oct 2009 21:10:00 +0400

ctpp2 (2.5.11) unstable; urgency=low

  * Fixes in virtual machine: CMP (STACK/STACK)

 -- Andrei V. Shetuhin <reki@reki.ru>  Thu, 27 Aug 2009 17:08:00 +0400

ctpp2 (2.5.10) unstable; urgency=low

  * New functions: LIST_ELEMENT & ARRAY_ELEMENT. Fixes in JSON parser.

 -- Andrei V. Shetuhin <reki@reki.ru>  Tue, 18 Aug 2009 17:07:00 +0400

ctpp2 (2.5.9) unstable; urgency=low

  * Fixes in <TMPL_foreach .. > <TMPL_include "file"> </TMPL_foreach>

 -- Andrei V. Shetuhin <reki@reki.ru>  Thu, 13 Aug 2009 18:38:00 +0400

ctpp2 (2.5.8) unstable; urgency=low

  * Completely rewrite code of JSON parser

 -- Andrei V. Shetuhin <reki@reki.ru>  Wed,  5 Aug 2009 20:08:00 +0400

ctpp2 (2.5.7) unstable; urgency=low

  * New function: NUMERAL, fixes in TRUNCATE & MB_TRUNCATE functions

 -- Andrei V. Shetuhin <reki@reki.ru>  Wed, 24 Jun 2009 14:56:00 +0400

ctpp2 (2.5.6) unstable; urgency=low

  * Fixes in JSESCAPE function

 -- Andrei V. Shetuhin <reki@reki.ru>  Tue,  9 Jun 2009 21:20:00 +0400

ctpp2 (2.5.5) unstable; urgency=low

  * Fixes in math. expressions inside functions: <TMPL_var FOO(bar + baz)>

 -- Andrei V. Shetuhin <reki@reki.ru>  Tue,  2 Jun 2009 16:50:00 +0400

ctpp2 (2.5.4) unstable; urgency=low

  * Avoid a lot of warnings on gcc 4.3+, #include <...> changed to #include "..." for all files of project

 -- Andrei V. Shetuhin <reki@reki.ru>  Tue, 20 May 2009 18:00:00 +0400

ctpp2 (2.5.3) unstable; urgency=low

  * Removed inline methods of exception classes

 -- Andrei V. Shetuhin <reki@reki.ru>  Tue, 12 May 2009 15:37:00 +0400

ctpp2 (2.5.2) unstable; urgency=low

  * Bug fixes in branches inside foreach operator

 -- Andrei V. Shetuhin <reki@reki.ru>  Mon, 20 Apr 2009 19:19:00 +0400

ctpp2 (2.5.1) unstable; urgency=low

  * Bug fixes, documentation

 -- Andrei V. Shetuhin <reki@reki.ru>  Fri, 17 Apr 2009 19:00:00 +0400

ctpp2 (2.5.0) unstable; urgency=low

  * New operator: <TMPL_foreach; Gettext function improvements

 -- Andrei V. Shetuhin <reki@reki.ru>  Thu, 16 Apr 2009 15:55:00 +0400

ctpp2 (2.4.10) unstable; urgency=low

  * New function: WMLESCAPE

 -- Andrei V. Shetuhin <reki@reki.ru>  Wed,  8 Apr 2009 16:34:00 +0400

ctpp2 (2.4.9) unstable; urgency=low

  * New classes: SimpleVM, SimpleCompiler

 -- Andrei V. Shetuhin <reki@reki.ru>  Fri,  2 Apr 2009 20:15:00 +0400

ctpp2 (2.4.8) unstable; urgency=low

  * New functions: CONCAT, SUBSTR, TRUNCATE, MB_SIZE, MB_TRUNCATE, MB_SUBSTR

 -- Andrei V. Shetuhin <reki@reki.ru>  Fri, 18 Mar 2009 22:20:00 +0300

ctpp2 (2.4.7) unstable; urgency=low

  * New flags for iconv converter

 -- Andrei V. Shetuhin <reki@reki.ru>  Mon, 16 Mar 2009 15:10:00 +0300

ctpp2 (2.4.6) unstable; urgency=low

  * New output data collector with charset recoding, new functions

 -- Andrei V. Shetuhin <reki@reki.ru>  Sat,  7 Mar 2009 14:00:00 +0300

ctpp2 (2.4.5) unstable; urgency=low

  * Port to MacOS, new functions: RANDOM and LOG



=== PKGBUILD ===
# Maintainer: Valentin V. Bartenev <i@vbart.ru>

pkgname=ctpp2
pkgver=2.7.0
pkgrel=1
pkgdesc="Template engine completely written in C++"
arch=('i686' 'x86_64')
url="http://ctpp.havoc.ru/en/"
optdepends=('gettext: gettext support')
makedepends=('cmake' 'make' 'patch')
source=(http://ctpp.havoc.ru/download/ctpp2-$pkgver.tar.gz)
license=('custom:BSD-like')
#md5sums=('')

build() {
  cd $srcdir/$pkgname-$pkgver
  mkdir build
  cd build
  cmake .. || return 1
  make || return 1
  make DESTDIR=$pkgdir install || return 1
  install -Dm 644 ../LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
} 

# Enjoy! ;)

=== debian/control ===
Source: ctpp2
Section: unknown
Priority: extra
Maintainer: Andrei V. Shetuhin <reki@reki.ru>
Build-Depends: debhelper (>= 5), libssl-dev (>= 0.9.7)
Standards-Version: 3.7.2

Package: ctpp2
Architecture: any
Depends: ${shlibs:Depends}
Description: Crossplatform C++ Template engine
  Template engine, analog of Perl module HTML::Template,
  written in C++.

Package: ctpp2-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ctpp2 ( = ${Source-Version})
Description: CTPP2 header files and documentation
  Template engine, analog of Perl module HTML::Template,
  written in C++; header files and documentation.
